<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <title>Task 2</title>
    <script crossorigin src="https://unpkg.com/react@16/umd/react.production.min.js"></script>
    <script crossorigin src="https://unpkg.com/react-dom@16/umd/react-dom.production.min.js"></script>
    <script src="https://cdnjs.cloudflare.com/ajax/libs/babel-standalone/6.26.0/babel.min.js"></script>
</head>

<style>
    body {
        font-family: arial, sans-serif;
        margin: 0;
        background-color: #a2ca28;
    }

    * {
        box-sizing: border-box;
    }

    .container {
        max-width: 1130px;
        margin: 0 auto;
        padding: 0 15px;
        display: flex;
    }

    .header {
        background-color: #2e3b4e;
        padding: 25px 0;
    }

    .header-inner {
        display: flex;
        align-items: center;
        justify-content: space-between;
    }

    .main-nav ul {
        list-style: none;
        margin: 0;
        padding: 0;
    }

    .main-nav li {
        display: inline-block;
        margin-left: 150px;
        font-size: 15px;
        color: #fff;
        text-transform: uppercase;
        text-decoration: none;
    }

    .info-block {
        display: inline-block;
        background-color: #fff;
        margin: 50px;
        width: 450px;
    }

    .info-text {
        width: 100%;
        text-align: center;
        padding: 30px 80px;
        line-height: 26px;
        font-size: 14px;
        color: #656e74;
    }

    .info-title {
        font-size: 35px;
        font-weight: normal;
        text-transform: uppercase;
        color: #fd634e;
        line-height: 40px;
        padding-bottom: 20px;
    }

    .box {
        display: inline-block;
        padding: 10px 30px 10px 50px;
        font-size: 14px;
        text-align: center;
        width: 350px;
        color: #fff;
        line-height: 24px;
        margin-bottom: 15px;

    }

    .footer {
        background-color: #0d1119;
        padding-left: 50px;


    }

    .footer-inner {
        display: flex;
        justify-content: center;
        align-items: center;
    }

    .contacts {
        display: inline-block;
        font-size: 12px;
        color: #8297a7;
        line-height: 22px;
        width: 25%;
        padding: 5px 10px 5px 10px;
    }

</style>
<body>

<header class="header">
    <div class="container header-inner">
        <nav class="main-nav">
            <ul id="header"></ul>
        </nav>
    </div>
</header>
<div id="info" class="container">
</div>
<div id="box" class="container">
</div>
<footer id="footer" class="footer">
    <div class="footer-inner">
    </div>
</footer>

<script type="text/babel">
    const Header = props => {
        return React.createElement('li', {className: 'main-nav li'}, props.link);
    };

    const links = (
        <div>
            <Header link="About"/>
            <Header link="How It Works"/>
            <Header link="Services"/>
            <Header link="Contacts"/>
        </div>

    );
    ReactDOM.render(links, document.getElementById('header'));

    const InfoBlock = props => {
        return React.createElement('div', {className: 'info-block'},
            React.createElement('div', {className: 'info-text'},
                React.createElement('h1', {className: 'info-title'}, props.title),
                React.createElement('p', null, props.text),
            ),
        );
    };

    const info = (
        <div>
            <InfoBlock title="It is all about fitness" text="Lorem ipsum dolor sit amet, consectetur adipisicing elit. Neque maiores, ipsam impedit expedita dolorem
                    maxime suscipit nisi eos commodi dicta voluptates ratione nemo, vero rerum."/>
            <InfoBlock title="Love your body" text="Lorem ipsum dolor sit amet, consectetur adipisicing elit. Neque maiores, ipsam impedit expedita dolorem
               maxime suscipit nisi eos commodi dicta voluptates ratione nemo, vero rerum"/>
        </div>
    );
    ReactDOM.render(info, document.getElementById('info'));

    const Box = props => {
        return React.createElement('div', {className: 'box'},
            React.createElement('h2', null, props.title),
            React.createElement('p', null, props.text),
        );
    };

    const boxes = (
        <div>
            <Box title="Training & Funding" text="Lorem ipsum dolor sit amet, consectetur adipisicing elit. Neque maiores, ipsam impedit expedita dolorem
                    maxime suscipit nisi eos commodi dicta voluptates ratione nemo, vero rerum"/>
            <Box title="Connect" text="Lorem ipsum dolor sit amet, consectetur adipisicing elit. Neque maiores, ipsam impedit expedita dolorem
               maxime suscipit nisi eos commodi dicta voluptates ratione nemo, vero rerum"/>
            <Box title="Resources" text="Lorem ipsum dolor sit amet, consectetur adipisicing elit. Neque maiores, ipsam impedit expedita dolorem
               maxime suscipit nisi eos commodi dicta voluptates ratione nemo, vero rerum"/>
        </div>
    );

    ReactDOM.render(boxes, document.getElementById('box'));

    const Footer = props => {
        return React.createElement('div', {className: 'contacts'},
            React.createElement('h3', null, props.title),
            React.createElement('p', null, props.text),
        );
    };

    const contacts = (
        <div>
            <Footer title="Address" text="Lorem ipsum dolor sit amet"/>
            <Footer title="Email" text="Lorem ipsum dolor sit amet"/>
            <Footer title="Phone" text="Lorem ipsum dolor sit amet"/>
            <Footer title="Social Media" text="Lorem ipsum dolor sit amet"/>
        </div>
    );

    ReactDOM.render(contacts, document.getElementById('footer'));

</script>

</body>
</html>